library E0x_E1durch100_;

// Delphi 5 DLL-source (E0x_E1durch100_.DLL)       kpaul 04.12.2006
// Formeln

uses
  SysUtils,
  Windows,
  Classes;

{$R *.RES}

Const  Inputs =  2; // number of inputs
       Outputs = 1; // number of outputs

       {INPUTS}
       E0   = 0;    // index of input variable
       E1   = 1;    // index of input variable

       {OUTPUTS}
       A0   = 0;    // index of output variable

       {USER}
                    // index of user variable nicht verwendet


Type TDLLParams = array[0..100] of extended;   //Type of ProfiLab DLL parameters
     PDLLParams = ^TDLLParams;                 // Pointer to ProfiLab DLL parameters

function NumInputs: Byte;
begin
  result:=Inputs; //Define number of component input pins
end;

function NumOutputs: Byte;
begin
  result:=Outputs; //Define number of component output pins
end;

Function InputName(Channel: Byte): ShortString; // Return name for each component input pin
begin
   case Channel of
   E0:   result:='E0';  //  "E0"
   E1:   result:='E1';  //  "E1"
   end;
end;

Function OutputName(Channel: Byte): ShortString; // Return name for each component output pin
begin
   case Channel of
   A0:   result:='A';  //  "A0"
   end;
end;

Procedure SimStart(PInput,POutput,PUser: PDLLParams); //called when ProfiLab enters RUN mode
begin
  // nothing to be done
end;

Procedure SimStop(PInput,POutput,PUser: PDLLParams); //called when ProfiLab RUN mode is terminated
begin
  // nothing to be done
end;

Procedure Calculate(PInput,POutput,PUser: PDLLParams); //called regularly from ProfiLab
begin

  POutput^[A0]:=   PInput^[E0] * (PInput^[E1]/100);             //Formel 1
//  POutput^[A0]:=   PInput^[E0] * 0.999;                         //Formel 2
//  POutput^[A0]:=   PInput^[E1] * (PInput^[E0]/100+1);           //Formel 3
//  POutput^[A0]:=   PInput^[E1] * (1-PInput^[E0]/100);           //Formel 4

end;


//export methods for ProfiLab
exports SimStart,
        SimStop,
        NumInputs,
        NumOutputs,
        Calculate,
        InputName,
        OutputName;

begin
end.

